from fabricant.coreos.classes import Service


class Mongo(Service):
    config = None
    port = 27017
    version = None
    volume = None

    def __init__(self, version, volume, **kwargs):
        """
        :type version: str version of MongoDB
        :type volume: str path to mounted volume
        """
        self.version = version
        self.volume = volume
        config = []
        if 'private' in kwargs and kwargs['private'] is True:
            config.append('-p ${COREOS_PRIVATE_IPV4}:%i:27017')
        if 'public' in kwargs and kwargs['public'] is True:
            config.append('-p ${COREOS_PUBLIC_IPV4}:%i:27017')
        self.config = ' \\\n    '.join(config)
        Service.__init__(self, 'mongo', **kwargs)
