from fabricant.coreos.classes import Service


class Mysql(Service):
    config = None
    port = 3306
    version = None
    volume = None

    def __init__(self, version, volume, **kwargs):
        """
        :type version: str version of MySQL
        :type volume: str path to mounted volume
        """
        self.version = version
        self.volume = volume
        config = []
        if 'root_password' in kwargs:
            config.append('-e "MYSQL_ROOT_PASSWORD=%s"' % kwargs['root_password'])
        if 'user' in kwargs:
            config.append('-e "MYSQL_USER=%s"' % kwargs['user'])
        if 'password' in kwargs:
            config.append('-e "MYSQL_PASSWORD=%s"' % kwargs['password'])
        if 'db' in kwargs:
            config.append('-e "MYSQL_DATABASE=%s"' % kwargs['db'])
        if 'private' in kwargs and kwargs['private'] is True:
            config.append('-p ${COREOS_PRIVATE_IPV4}:%i:3306')
        if 'public' in kwargs and kwargs['public'] is True:
            config.append('-p ${COREOS_PUBLIC_IPV4}:%i:3306')
        self.config = ' \\\n    '.join(config)
        Service.__init__(self, 'mysql', **kwargs)
