from fabricant.coreos.classes import Service


class Nginx(Service):
    config = None
    port = 80
    version = None

    def __init__(self, version, **kwargs):
        """
        :type version: str version of Nginx
        """
        self.version = version
        config = []
        if 'public' not in kwargs or kwargs['public'] is True:
            config.append('-p ${COREOS_PUBLIC_IPV4}:%i:80')
            config.append('-p ${COREOS_PUBLIC_IPV4}:443:443')
        if 'private' in kwargs and kwargs['private'] is True:
            config.append('-p ${COREOS_PRIVATE_IPV4}:%i:80')
            config.append('-p ${COREOS_PRIVATE_IPV4}:443:443')
        if 'local' in kwargs and kwargs['local'] is True:
            config.append('-p 127.0.0.1:%i:80')
            config.append('-p 127.0.0.1:443:443')
        if 'cache' in kwargs:
            config.append('-v %s:/var/cache/nginx' % kwargs['cache'])
        if 'config' in kwargs:
            config.append('-v %s:/etc/nginx:ro' % kwargs['config'])
        if 'logs' in kwargs:
            config.append('-v %s:/var/log/nginx' % kwargs['logs'])
        if 'static' in kwargs:
            config.append('-v %s:/usr/share/nginx/html:ro' % kwargs['static'])
        self.config = ' \\\n    '.join(config)
        Service.__init__(self, 'nginx', **kwargs)
