from fabricant.coreos.classes import Service


class Postgres(Service):
    config = None
    port = 5432
    version = None
    volume = None

    def __init__(self, version, volume, **kwargs):
        """
        :type version: str version of PostgreSQL
        :type volume: str path to mounted volume
        """
        self.version = version
        self.volume = volume
        config = []
        if 'user' in kwargs:
            config.append('-e "POSTGRES_USER=%s"' % kwargs['user'])
        if 'password' in kwargs:
            config.append('-e "POSTGRES_PASSWORD=%s"' % kwargs['password'])
        if 'private' in kwargs and kwargs['private'] is True:
            config.append('-p ${COREOS_PRIVATE_IPV4}:%i:5432')
        if 'public' in kwargs and kwargs['public'] is True:
            config.append('-p ${COREOS_PUBLIC_IPV4}:%i:5432')
        self.config = ' \\\n    '.join(config)
        Service.__init__(self, 'postgres', **kwargs)
