from fabricant.coreos.classes import Service


class Rabbitmq(Service):
    config = None
    port = 5672
    version = None
    volume = None

    def __init__(self, version, volume, **kwargs):
        """
        :type version: str version of RabbitMQ
        :type volume: str path to mounted volume
        """
        self.version = version
        self.volume = volume
        config = []
        if 'node' in kwargs:
            config.append('-e "RABBITMQ_NODENAME=%s"' % kwargs['node'])
        if 'private' in kwargs and kwargs['private'] is True:
            config.append('-p ${COREOS_PRIVATE_IPV4}:%i:5672')
        if 'public' in kwargs and kwargs['public'] is True:
            config.append('-p ${COREOS_PUBLIC_IPV4}:%i:5672')
        self.config = ' \\\n    '.join(config)
        Service.__init__(self, 'rabbitmq', **kwargs)
