from fabricant.coreos.services.rabbitmq.service import Rabbitmq as BaseClass


class Rabbitmq(BaseClass):
    plugin_port = None

    def __init__(self, version, volume, plugin_port='1%i', **kwargs):
        """
        :type version: str version of RabbitMQ
        :type volume: str path to mounted volume
        :type plugin_port: str port for management plugin
        """
        self.plugin_port = plugin_port
        BaseClass.__init__(self, version, volume, **kwargs)
        config = []
        if 'private' in kwargs and kwargs['private'] is True:
            config.append('-p ${COREOS_PRIVATE_IPV4}:%s:15672' % plugin_port)
        if 'public' in kwargs and kwargs['public'] is True:
            config.append('-p ${COREOS_PUBLIC_IPV4}:%s:15672' % plugin_port)
        self.config += ' \\\n    '.join(config)
