from fabricant.coreos.classes import Service


class Redis(Service):
    config = None
    port = 6379
    version = None
    volume = None

    def __init__(self, version, volume=None, **kwargs):
        """
        :type version: str version of Redis
        :type volume: str path to mounted volume
        """
        self.version = version
        self.volume = volume
        config = []
        if 'private' in kwargs and kwargs['private'] is True:
            config.append('-p ${COREOS_PRIVATE_IPV4}:%i:6379')
        if 'public' in kwargs and kwargs['public'] is True:
            config.append('-p ${COREOS_PUBLIC_IPV4}:%i:6379')
        if volume is not None:
            config.append('-v %s:/data' % volume)
        self.config = ' \\\n    '.join(config)
        Service.__init__(self, 'redis', **kwargs)
