class Repository:
    url = None
    path = None
    remote = 'origin'
    remotes = {}

    def __init__(self, url, path=None, **kwargs):
        self.url = url
        self.path = path
        if 'remote' in kwargs:
            self.remote = kwargs['remote'].lower()
        return

    def __getitem__(self, item):
        return self.__dict__[item]

    def add(self, repo):
        if isinstance(repo, self.__class__) and repo.remote != self.remote:
            self.remotes[repo.remote] = repo
        else:
            raise ValueError('Invalid repository.')
        return self

    def get(self, remote):
        if remote in self.remotes:
            return self.remotes.get(remote)
        return None

"""
Example of usage:
repository = Repository('https://github.com/kamilsk/Environment', '/opt/www.example.com')
repository.add(Repository('https://github.com/octolab/Environment', remote='upstream'))
init(repository)
"""
